=== icons/CMakeLists.txt ===
find_package(KDE4 REQUIRED)

kde4_install_icons( ${ICON_INSTALL_DIR} )
install (FILES application-x-cirkuit.svgz DESTINATION ${ICON_INSTALL_DIR}/oxygen/scalable/mimetypes)
