=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(lt)
add_subdirectory(ug)
add_subdirectory(ga)
add_subdirectory(fr)
add_subdirectory(sv)
add_subdirectory(ru)
add_subdirectory(it)
add_subdirectory(ja)
add_subdirectory(pl)
add_subdirectory(es)
add_subdirectory(cs)
add_subdirectory(pt)
add_subdirectory(km)
add_subdirectory(nds)
add_subdirectory(pt_BR)
add_subdirectory(uk)
add_subdirectory(nl)
add_subdirectory(de)
add_subdirectory(et)
