=== src/syntax/CMakeLists.txt ===
install( FILES m4cm.xml gnuplot.xml DESTINATION ${DATA_INSTALL_DIR}/katepart/syntax )
