=== debian/changelog ===
cirkuit (0.4.3-0ubuntu1) trusty; urgency=low

  * Initial release closes: LP: #824041

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 10 Feb 2014 14:16:49 +0000
