=== debian/control ===
Source: cirkuit
Section: graphics
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Scarlett Clark <scarlett@scarlettgatelyclark.com>
Build-Depends: debhelper (>= 9.0.0), cmake, pkg-kde-tools,
 libpoppler-qt4-dev, kdelibs5-dev, shared-mime-info
Standards-Version: 3.9.5
Homepage: http://wwwu.uni-klu.ac.at/magostin/cirkuit.html

Package: libcirkuitlibs1-dev
Section: libdevel
Architecture: any
Depends: libcirkuitlibs1 (= ${binary:Version}), ${misc:Depends}
Description: development files for cirkuit
 Circuit Macros is a set of macros for drawing
 high-quality line diagrams to include in TeX,
 LaTeX, or similar documents.
 .
 Contains development files for frameworkintegration.
 
Package: cirkuit
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: dpic, texlive-latex-extra, texlive-latex-base,
 texlive-latex-recommended, texlive-pstricks, texlive-base-bin,
 texlive-extra-utils, preview-latex-style, m4, ghostscript,
 pdf2svg, ${shlibs:Depends}, ${misc:Depends}
Description: Application to generate publication-ready figures.
 Circuit Macros is a set of macros for drawing
 high-quality line diagrams to include in TeX,
 LaTeX, or similar documents.

Package: libcirkuitlibs1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Application to generate publication-ready figures.
 Circuit Macros is a set of macros for drawing
 high-quality line diagrams to include in TeX,
 LaTeX, or similar documents.
  
Package: cirkuit-dbg
Priority: extra
Section: debug
Architecture: any
Depends: cirkuit (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for cirkuit
 Circuit Macros is a set of macros for drawing
 high-quality line diagrams to include in TeX,
 LaTeX, or similar documents.
 .
 Contains debug symbols for frameworkintegration.
