=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	dh_strip --dbg-package=cirkuit-dbg

override_dh_auto_install:
	dh_auto_install	
	mv debian/tmp/usr/share/kde4/apps/katepart/syntax/gnuplot.xml debian/tmp/usr/share/kde4/apps/katepart/syntax/gnuplot2.xml
