=== debian/watch ===
version=3

http://wwwu.uni-klu.ac.at/magostin/cirkuit.html \
 src/cirkuit-([\d\.]+)\.tar\.bz2
